#[derive(PartialEq, Eq, Debug)]
pub enum AvailabillityAssignmentState {
    // availabillity is not assigned at all or at least not timely conflicting
    Unassigned,
    // availabillity is assigned for another event that is timely conflicting
    Conflicting,
    // availabillity is assigned to this event as Posten
    AssignedPosten(i32),
    // availabillity is assigned to this event as Führungsassistent
    AssignedFührungsassistent(i32),
    // availabillity is assigned to this event as Wachhabender
    AssignedWachhabender(i32),
}

